View Issue Details

IDProjectCategoryView StatusLast Update
0022981LazarusIDEpublic2019-12-12 22:51
ReporterMartin Friebe Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022981: IDE Crash, on package compile
Description- Open a package, e.g SynEdit
- In the package win, from the toolbar, select "More" > "Compile clean"
- While compilation is still running: close the package win

A SigSegV will happen:
&"bt\n"
~"#0 0x00c8379a in UPDATEBUTTONS (this=0xd5cf718) at ../packager/packageeditor.pas:1631\n"
~"0000001 0x00c864f2 in DOCOMPILE (this=0xd5cf718, COMPILECLEAN=true, COMPILEREQUIRED=false) at ../packager/packageeditor.pas:2100\n"
~"0000002 0x00c81828 in COMPILECLEANCLICK (this=0xd5cf718, SENDER=0xa3f13e8) at ../packager/packageeditor.pas:1204\n"
~"0000003 0x00765e66 in MENUITEMCLICK (this=0xa3f13e8, SENDER=0xae4e818) at menuintf.pas:580\n"
~"0000004 0x0076a1ea in MENUITEMCLICK (this=0xa3f13e8, SENDER=0xae4e818) at menuintf.pas:1655\n"
~"0000005 0x005fbcbe in CLICK (this=0xae4e818) at include/menuitem.inc:83\n"
~"0000006 0x005fc3aa in DOCLICKED (this=0xae4e818, MSG=@0x726fc1c: 0) at include/menuitem.inc:278\n"
~"0000007 0x0040cc3a in SYSTEM_TOBJECT_$__DISPATCH$formal ()\n"
~"0000008 0x005fc350 in MENUS_TMENUITEM_$__GETPARENTCOMPONENT$$TCOMPONENT ()\n"
~"0000009 0x75f2fd72 in USER32!GetWindowMinimizeRect () from C:\\Windows\\system32\\user32.dll\n"
~"0000010 0x00070b5a in ?? ()\n"
~"0000011 0x75f2fe4a in USER32!GetWindowMinimizeRect () from C:\\Windows\\system32\\user32.dll\n"
~"0000012 0x00567480 in WIN32INT_DISPOSECOMBOEDITWINDOWINFO$TCUSTOMCOMBOBOX ()\n"
~"0000013 0x75f3018d in USER32!GetMonitorInfoA () from C:\\Windows\\system32\\user32.dll\n"
~"0000014 0x75f3022b in USER32!DisplayExitWindowsWarnings () from C:\\Windows\\system32\\user32.dll\n"
~"0000015 0x0056d7e4 in APPPROCESSMESSAGES (this=0x163818) at win32/win32object.inc:367\n"
~"0000016 0x0043c731 in HANDLEMESSAGE (this=0x10ba28) at include/application.inc:1274\n"
~"0000017 0x0043ccb6 in RUNLOOP (this=0x10ba28) at include/application.inc:1407\n"
~"0000018 0x00490d61 in APPRUN (this=0x163818, ALOOP=...) at include/interfacebase.inc:60\n"
~"0000019 0x0043cc5d in RUN (this=0x10ba28) at include/application.inc:1395\n"
~"0000020 0x004033f4 in main () at lazarus.pp:115\n"
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0021499 closedMattias Gaertner crash, if closing package window, while compiling package 
related to 0036432 resolvedJuha Manninen IDE crash on closing package window, during compile of package 

Activities

Juha Manninen

2014-10-30 16:37

developer   ~0078751

This was fixed with the new threaded compilation and message window.

Issue History

Date Modified Username Field Change
2012-09-26 00:46 Martin Friebe New Issue
2012-09-26 00:46 Martin Friebe LazTarget => -
2012-09-26 00:46 Martin Friebe Widgetset => Win32/Win64
2012-09-26 02:32 Martin Friebe Relationship added related to 0021499
2012-09-26 07:55 Mattias Gaertner Status new => assigned
2012-09-26 07:55 Mattias Gaertner Assigned To => Mattias Gaertner
2014-10-30 16:37 Juha Manninen Note Added: 0078751
2014-10-30 16:37 Juha Manninen Status assigned => resolved
2014-10-30 16:37 Juha Manninen Resolution open => fixed
2019-04-22 19:33 Martin Friebe Status resolved => closed
2019-12-12 22:51 Martin Friebe Relationship added related to 0036432